local _, iLFRD = ...

iLFRD.encounters = {
	-- Cataclysm
		-- Dragon Soul
		[416] = { -- The Siege of Wyrmrest Temple
			[311] = 1, -- Morchok
			[324] = 2, -- Warlord Zon'ozz
			[325] = 3, -- Yor'sahj the Unsleeping
			[317] = 4, -- Hagara the Stormbinder
		},
		[417] = { -- Fall of Deathwing
			[331] = 5, -- Ultraxion
			[332] = 6, -- Warmaster Blackhorn
			[318] = 7, -- Spine of Deathwing
			[333] = 8, -- Madness of Deathwing
		},
	-- Mist of Pandaria
		-- Mogu'shan Vaults
			[527] = { -- Guardians of Mogu'shan
				[679] = 1, -- The Stone Guard
				[689] = 2, -- Feng the Accursed
				[682] = 3, -- Gara'jal the Spiritbinder
			},
			[528] = { -- The Vault of Mysteries
				[687] = 4, -- The Spirit Kings
				[726] = 5, -- Elegon
				[677] = 6, -- Will of the Emperor
			},
		-- Heart of Fear
			[529] = { -- The Dread Approach
				[745] = 1, -- Imperial Vizier Zor'lok
				[744] = 2, -- Blade Lord Ta'yak
				[713] = 3, -- Garalon
			},
			[530] = { -- Nightmare of Shek'zeer
				[741] = 4, -- Wind Lord Mel'jarak
				[737] = 5, -- Amber-Shaper Un'sok
				[743] = 6, -- Grand Empress Shek'zeer
			},
		-- Terrace of Endless Spring
			[526] = { -- Terrace of Endless Spring
				[683] = 1, -- Protectors of the Endless
				[742] = 2, -- Tsulong
				[729] = 3, -- Lei Shi
				[709] = 4, -- Sha of Fear
			},
		-- Throne of Thunder
			[610] = { -- Last Stand of the Zandalari
				[827] = 1, -- Jin'rokh the Breaker
				[819] = 2, -- Horridon
				[816] = 3, -- Council of Elders
			},
			[611] = { -- Forgotten Depths
				[825] = 4, -- Tortos
				[821] = 5, -- Megaera
				[828] = 6, -- Ji-kun
			},
			[612] = { -- Halls of Flesh-Shaping
				[818] = 7, -- Durumu the Forgotten
				[820] = 8, -- Primordius
				[824] = 9, -- Dark Animus
			},
			[613] = { -- Pinnacle of Storms
				[817] = 10, -- Iron Qon
				[829] = 11, -- Twin Consorts
				[832] = 12, -- Lei Shen
			},
		-- Siege of Orgrimmar
			[716] = { -- Vale of Eternal Sorrows
				[852] = 1, -- Immerseus
				[849] = 2, -- The Fallen Protectors
				[866] = 3, -- Norushen
				[867] = 4, -- Sha of Pride
			},
			[717] = { -- Gates of Retribution
				[868] = 5, -- Galakras
				[864] = 6, -- Iron Juggernaut
				[856] = 7, -- Kor'kron Dark Shaman
				[850] = 8, -- General Nazgrim
			},
			[724] = { -- The Underhold
				[846] = 9, -- Malkorok
				[870] = 10, -- Spoils of Pandaria
				[851] = 11, -- Thok the Bloodthirsty
			},
			[725] = { -- Downfall
				[865] = 12, -- Siegecrafter Blackfuse
				[853] = 13, -- Paragons of the Klaxxi
				[869] = 14, -- Garrosh Hellscream
			},
		
	--Warlords of Draenor
		--Highmaul
			[849] = { -- Walled City
				[1128] = 1, -- Kargath Bladefist
				[971] = 2, -- The Butcher
				[1196] = 3, -- Brackenspore
			},
			[850] = { -- Arcane Sanctum
				[1195] = 4, -- Tectus
				[1148] = 5, -- Twin Ogron
				[1153] = 6, -- Ko'ragh
			},
			[851] = { -- Imperator's Rise
				[1197] = 7, -- Imperator Mar'gok
			},
			
		-- Blackrock Foundry
			[847] = { -- Slagworks
				[1202] = 1, -- Oregorgor
				[1161] = 2, -- Gruul
				[1154] = 7, -- The Blast Furnace
			},
			[846] = { -- The Black Forge
				[1155] = 3, -- Hans'gar and Franzok
				[1123] = 5, -- Flamebender Ka'graz
				[1162] = 8, -- Kromog
			},
			[848] = { -- Iron Assembly
				[1122] = 4, -- Beastlord Darmac
				[1147] = 6, -- Operator Thogar
				[1203] = 9, -- The Iron Maidens
			},
			[823] = { -- Blackhand's Crucible
				[959] = 10, -- Blackhand
			},
			
		-- Hellfire Citadel
			[982] = { -- Hellbreach
				[1426] = 1, -- Hellfire Assault
				[1425] = 2, -- Iron Reaver
				[1392] = 3, -- Kormrok
			},
			[983] = { -- Halls of Blood
				[1432] = 4, -- Hellfire High Council
				[1396] = 5, -- Kilrogg Deadeye
				[1372] = 6, -- Gorefiend
			},
			[984] = { -- Bastion of Shadows
				[1433] = 7, -- Shadow-Lord Iskar
				[1427] = 8, -- Socrethar the Eternal
				[1394] = 11, -- Tyrant Velhari
			},
			[985] = { -- Desturctor's Rise
				[1391] = 9, -- Fel Lord Zakuun
				[1447] = 10, -- Xhul'Horac
				[1395] = 12, -- Mannoroth
			},
			[986] = { -- The Black Gate
				[1438] = 13, -- Archimonde
			},
}